import Layout from "@/layout";

const HomeRoutes = {
  path: "/statisticalanalysis",
  component: Layout,
  name: "Statisticalanalysis",
  redirect: "/statisticalanalysis/loadingweight",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: {
    title: "统计分析",
    elSvgIcon: "analyseIcon",
    breadcrumb: false,
    roles: ["statistical_analysis_page"],
  },
  children: [
    {
      path: "/statisticalanalysis/loadingweight",
      name: "Loadingweight",
      meta: {
        title: "加货重量统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/loadingweight/index.vue"),
    },
    {
      path: "/statisticalanalysis/flightvolume",
      name: "Flightvolume",
      meta: {
        title: "航班量统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/flightvolume/index.vue"),
    },
    {
      path: "/statisticalanalysis/specialGoodsStatistics",
      name: "SpecialGoodsStatistics",
      meta: {
        title: "特货统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/specialGoodsStatistics/index.vue"),
    },
    {
      path: "/statisticalanalysis/cargovolume",
      name: "Cargovolume",
      meta: {
        title: "货量统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/cargovolume/index.vue"),
    },
    {
      path: "/statisticalanalysis/pickingstatistics",
      name: "Pickingstatistics",
      meta: {
        title: "拉货统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/pickingstatistics/index.vue"),
    },
    {
      path: "/statisticalanalysis/domesticinbound",
      name: "Domesticinbound",
      meta: {
        title: "国内进港保障时间统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/domesticinbound/index.vue"),
    },
    {
      path: "/statisticalanalysis/domesticdeparture",
      name: "Domesticdeparture",
      meta: {
        title: "航班统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/domesticdeparture/index.vue"),
    },
    // {
    //   path: "/statisticalanalysis/domesticentry",
    //   name: "Domesticentry",
    //   meta: {
    //     title: "航班统计国内进港",
    //   },
    //   component: () =>
    //     import("@/views/statisticalanalysis/domesticentry/index.vue"),
    // },
    // {
    //   path: "/statisticalanalysis/Internationalexport",
    //   name: "Internationalexport",
    //   meta: {
    //     title: "航班统计国际出港",
    //   },
    //   component: () =>
    //     import("@/views/statisticalanalysis/Internationalexport/index.vue"),
    // },
    // {
    //   path: "/statisticalanalysis/Internationaladvance",
    //   name: "Internationaladvance",
    //   meta: {
    //     title: "航班统计国际进港",
    //   },
    //   component: () =>
    //     import("@/views/statisticalanalysis/Internationaladvance/index.vue"),
    // },
    {
      path: "/statisticalanalysis/cargoflight",
      name: "Cargoflight",
      meta: {
        title: "货机航班综合查询",
      },
      component: () =>
        import("@/views/statisticalanalysis/cargoflight/index.vue"),
    },
    {
      path: "/statisticalanalysis/cargoperiod",
      name: "Cargoperiod",
      meta: {
        title: "货机航班时段查询",
      },
      component: () =>
        import("@/views/statisticalanalysis/cargoperiod/index.vue"),
    },
    {
      path: "/statisticalanalysis/gantryframe",
      name: "Gantryframe",
      meta: {
        title: "龙门架统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/gantryframe/index.vue"),
    },
  ],
};

export default [HomeRoutes];
